clang 8.0.0

Classes | Public Member Functions | Friends | List of all members
clang::format::UnwrappedLineParser Class Reference

`#include "/work/www-prereleases/8.0.0/rc2/builddocs/llvm.src/tools/clang/lib/Format/UnwrappedLineParser.h"`

## Public Member Functions
| UnwrappedLineParser (const FormatStyle &Style, const AdditionalKeywords &Keywords, unsigned FirstStartColumn, ArrayRef< FormatToken *> Tokens, UnwrappedLineConsumer &Callback)
void | parse ()

## Friends
class | ScopedLineState
class | CompoundStatementIndenter

## Detailed Description

Definition at line 76 of file UnwrappedLineParser.h.

## Constructor & Destructor Documentation

## ◆ UnwrappedLineParser()

clang::format::UnwrappedLineParser::UnwrappedLineParser | ( | const FormatStyle & | Style,
|  | const AdditionalKeywords & | Keywords,
|  | unsigned | FirstStartColumn,
|  | ArrayRef< FormatToken *> | Tokens,
|  | UnwrappedLineConsumer & | Callback
| ) |  |

Definition at line 220 of file UnwrappedLineParser.cpp.

## Member Function Documentation

## ◆ parse()

void clang::format::UnwrappedLineParser::parse | ( |  | ) |

Definition at line 251 of file UnwrappedLineParser.cpp.

## Friends And Related Function Documentation

## ◆ CompoundStatementIndenter

friend class CompoundStatementIndenter
| friend

Definition at line 280 of file UnwrappedLineParser.h.

## ◆ ScopedLineState

friend class ScopedLineState
| friend

Definition at line 279 of file UnwrappedLineParser.h.

The documentation for this class was generated from the following files:

- lib/Format/UnwrappedLineParser.h
- lib/Format/UnwrappedLineParser.cpp